/* lynx_cfg.h.  Generated automatically by configure.  */
/* The configure script translates "config.hin" into "lynx_cfg.h" */
#ifndef LYNX_CFG_H
#define LYNX_CFG_H 1

#define ALT_CHAR_SET acs_map		/* CF_ALT_CHAR_SET */
#define ANSI_VARARGS 1		/* CF_VARARGS */
/* #undef ARCHIVE_ONLY */		/* CF_ARG_DISABLE(dired-archive) */
#define BZIP2_PATH "bzip2"		/* CF_PATH_PROG(bzip2) */
#define CHMOD_PATH "/bin/chmod"		/* CF_PATH_PROG(chmod) */
#define COLOR_CURSES 1		/* defined by CF_COLOR_CURSES */
#define COMPRESS_PATH "/bin/compress"		/* CF_PATH_PROG(compress) */
#define COPY_PATH "/bin/cp"		/* CF_PATH_PROG(cp) */
/* #undef CURS_PERFORMANCE */		/* CF_CURS_PERFORMANCE */
/* #undef DEBUG */			/* configure --enable-debug */
/* #undef DECL_ERRNO */
/* #undef DECL_GETGRGID */
/* #undef DECL_GETGRNAM */
/* #undef DECL_STRSTR */
#define DECL_SYS_ERRLIST 1
#define DIRED_SUPPORT 1		/* AC_ARG_WITH(dired) */
/* #undef DISABLE_FINGER */		/* CF_ARG_DISABLE(finger) */
/* #undef DISABLE_FTP */		/* CF_ARG_DISABLE(ftp) */
/* #undef DISABLE_GOPHER */		/* CF_ARG_DISABLE(gopher) */
/* #undef DISABLE_NEWS */		/* CF_ARG_DISABLE(news) */
#define DISP_PARTIAL 1		/* CF_ARG_ENABLE(partial) */
#define DONT_TRACK_INTERNAL_LINKS 1 /* CF_ARG_DISABLE(internal-links) */
/* #undef EBCDIC */			/* CF_EBCDIC */
/* #undef ENABLE_NLS */		/* defined if NLS is requested */
/* #undef EXEC_LINKS */		/* CF_ARG_ENABLE(exec-links) */
/* #undef EXEC_SCRIPTS */		/* CF_ARG_ENABLE(exec-scripts) */
/* #undef EXP_ADDRLIST_PAGE */	/* CF_ARG_ENABLE(addrlist-page) */
#define EXP_ALT_BINDINGS 1		/* CF_ARG_ENABLE(alt-bindings) */
/* #undef EXP_CHARTRANS_AUTOSWITCH */	/* CF_ARG_ENABLE(font-switch) */
/* #undef EXP_KEYBOARD_LAYOUT */	/* CF_ARG_ENABLE(kbd-layout) */
/* #undef EXP_LIBJS */		/* CF_ARG_ENABLE(libjs) */
#define EXP_PERSISTENT_COOKIES 1	/* CF_ARG_ENABLE(persistent-cookies) */
#define FANCY_CURSES 1		/* defined by CF_FANCY_CURSES */
/* #undef GCC_PRINTF */		/* CF_GCC_ATTRIBUTES */
/* #undef GCC_UNUSED */		/* CF_GCC_ATTRIBUTES */
#define GETGROUPS_T gid_t		/* AC_TYPE_GETGROUPS */
#define GZIP_PATH "/bin/gzip"		/* CF_PATH_PROG(gzip) */
#define HAVE_ALLOCA 1		/* defined by AM_GNU_GETTEXT */
#define HAVE_ALLOCA_H 1		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_ARGZ_H */		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_CATGETS */		/* defined if you want to use non-GNU catgets */
#define HAVE_CBREAK 1
/* #undef HAVE_CURSESX_H */
#define HAVE_CUSERID 1
/* #undef HAVE_DCGETTEXT */		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_DEFINE_KEY */
#define HAVE_DIRENT_H 1		/* defined by AC_HEADER_DIRENT */
#define HAVE_FCNTL_H 1		/* have <fcntl.h> */
#define HAVE_GETBKGD 1		/* defined by CF_COLOR_CURSES */
#define HAVE_GETCWD 1
#define HAVE_GETGROUPS 1
/* #undef HAVE_GETTEXT */		/* defined if you want to use non-GNU gettext */
#define HAVE_GETTIMEOFDAY 1
#define HAVE_H_ERRNO 1
/* #undef HAVE_INET_ATON */		/* CF_INET_ADDR */
/* #undef HAVE_JCURSES_H */
#define HAVE_KEYPAD 1
#define HAVE_LC_MESSAGES 1		/* locale messages */
/* #undef HAVE_LIBINTL_H */		/* AM_GNU_GETTEXT, or cleanup from that */
#define HAVE_LIMITS_H 1
#define HAVE_LOCALE_H 1
#define HAVE_LSTAT 1		/* defined by CF_FUNC_LSTAT */
#define HAVE_MALLOC_H 1		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_MMAP */		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_MUNMAP */		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE_NCURSES_H */		/* defined if we include <ncurses.h> */
/* #undef HAVE_NL_TYPES_H */		/* defined by AM_GNU_GETTEXT */
#define HAVE_POPEN 1
#define HAVE_PUTENV 1
#define HAVE_READDIR 1
/* #undef HAVE_RESOLV_H */
/* #undef HAVE_SETENV */		/* defined by AM_GNU_GETTEXT */
#define HAVE_SETLOCALE 1
#define HAVE_SIZECHANGE 1		/* defined by CF_SIZECHANGE */
#define HAVE_STDARG_H 1		/* CF_VARARGS */
#define HAVE_STDLIB_H 1
#define HAVE_STPCPY 1		/* defined by AM_GNU_GETTEXT */
#define HAVE_STRCASECMP 1		/* defined by AM_GNU_GETTEXT */
#define HAVE_STRCHR 1		/* defined by AM_GNU_GETTEXT */
#define HAVE_STRERROR 1
#define HAVE_STRING_H 1
/* #undef HAVE_SYS_DIR_H */		/* defined by AC_HEADER_DIRENT */
#define HAVE_SYS_FCNTL_H 1		/* have <sys/fcntl.h> */
/* #undef HAVE_SYS_FILIO_H */		/* have <sys/filio.h> */
#define HAVE_SYS_IOCTL_H 1		/* have <sys/ioctl.h> */
/* #undef HAVE_SYS_NDIR_H */		/* defined by AC_HEADER_DIRENT */
#define HAVE_SYS_PARAM_H 1		/* defined by AM_GNU_GETTEXT */
#define HAVE_SYS_WAIT_H 1		/* have <sys/wait.h> */
#define HAVE_TERMIOS_H 1		/* have <termios.h> */
/* #undef HAVE_TERMIO_H */		/* have <termio.h> */
#define HAVE_TTYTYPE 1
/* #undef HAVE_TYPE_UNIONWAIT */	/* CF_UNION_WAIT */
#define HAVE_UNISTD_H 1		/* have <unistd.h> */
/* #undef HAVE_UNSETENV */
/* #undef HAVE_USE_DEFAULT_COLORS */	/* ncurses extension */
/* #undef HAVE_UTMP */
/* #undef HAVE_VALUES_H */		/* defined by AM_GNU_GETTEXT */
#define HAVE_VARARGS_H 1		/* CF_VARARGS */
#define HAVE_WAITPID 1
#define HAVE_WBORDER 1
/* #undef HAVE___ARGZ_COUNT */	/* defined by AM_GNU_GETTEXT */
/* #undef HAVE___ARGZ_NEXT */		/* defined by AM_GNU_GETTEXT */
/* #undef HAVE___ARGZ_STRINGIFY */	/* defined by AM_GNU_GETTEXT */
/* #undef IGNORE_CTRL_C */		/* FIXME: make tests? */
/* #undef INSTALL_ARGS */		/* CF_PATH_PROG(install) */
#define INSTALL_PATH "/bin/install -c"		/* CF_PATH_PROG(install) */
/* #undef LINKEDSTYLES */		/* see USE_COLOR_STYLE */
/* #undef LINUX */			/* FIXME: make tests? */
#define LOCALE 1			/* for locale support */
#define LONG_LIST 1		/* CF_ARG_DISABLE(long-list) */
/* #undef LYNXCGI_LINKS */		/* CF_ARG_ENABLE(cgi-links) */
#define LYNX_CFG_FILE "/usr/local/lib/lynx.cfg"		/* $libdir/lynx.cfg */
/* #undef LYNX_LSS_FILE */		/* $libdir/lynx.lss */
/* #undef LY_FIND_LEAKS */		/* configure --disable-leaks */
#define MKDIR_PATH "/bin/mkdir"		/* CF_PATH_PROG(mkdir) */
#define MV_PATH "/bin/mv"			/* CF_PATH_PROG(mv) */
/* #undef NCURSES */			/* defined for ncurses support */
/* #undef NCURSES_BROKEN */		/* defined for ncurses color support */
/* #undef NEED_PTEM_H */		/* defined by CF_SIZECHANGE */
/* #undef NEED_REMOVE */		/* defined by CF_REMOVE_BROKEN */
/* #undef NGROUPS */			/* defined by CF_NGROUPS */
/* #undef NOT_ASCII */		/* CF_NOT_ASCII */
/* #undef NO_CHANGE_EXECUTE_PERMS */	/* CF_ARG_DISABLE(dired-xpermit) */
/* #undef NO_CONFIG_INFO */		/* CF_ARG_DISABLE(config-info) */
/* #undef NO_EXTENDED_HTMLDTD */	/* CF_ARG_DISABLE(extended-dtd) */
/* #undef NO_LYNX_TRACE */		/* CF_ARG_DISABLE(trace) */
/* #undef NO_OPTION_FORMS */		/* CF_ARG_DISABLE(forms-options) */
/* #undef NO_OPTION_MENU */		/* CF_ARG_DISABLE(option-menu) */
/* #undef NO_PARENT_DIR_REFERENCE */	/* configure --disable-parent-dir */
/* #undef NSL_FORK */			/* CF_ARG_ENABLE(nsl-fork) */
#define OK_GZIP 1			/* CF_ARG_DISABLE(dired-gzip) */
#define OK_OVERRIDE 1		/* CF_ARG_DISABLE(dired-override) */
#define OK_PERMIT 1		/* CF_ARG_DISABLE(dired-permit) */
#define OK_TAR 1			/* CF_ARG_DISABLE(dired-tar) */
#define OK_UUDECODE 1		/* CF_ARG_DISABLE(dired-uudecode) */
#define OK_ZIP 1			/* CF_ARG_DISABLE(dired-zip) */
#define RLOGIN_PATH "rlogin"		/* CF_PATH_PROG(rlogin) */
#define RM_PATH "/bin/rm"			/* CF_PATH_PROG(rm) */
/* #undef SOCKS */			/* CF_SOCKS, CF_SOCKS5 */
/* #undef SOURCE_CACHE */		/* CF_ARG_ENABLE(source-cache) */
#define STDC_HEADERS 1
/* #undef SYSLOG_REQUESTED_URLS */	/* CF_ARG_ENABLE(syslog) */
#define SYSTEM_MAIL "unknown"		/* CF_DEFINE_PROG */
#define SYSTEM_MAIL_FLAGS "-t -oi"	/* defined by CF_SYSTEM_MAIL_FLAGS */
#define SYSTEM_NAME "beos"		/* CF_CHECK_CACHE */
#define TAR_PATH "/bin/tar"			/* CF_PATH_PROG(tar) */
#define TELNET_PATH "/bin/telnet"		/* CF_PATH_PROG(telnet) */
/* #undef TERMIO_AND_CURSES */	/* CF_TERMIO_AND_CURSES workaround */
/* #undef TERMIO_AND_TERMIOS */	/* CF_TERMIO_AND_TERMIOS workaround */
#define TN3270_PATH "tn3270"		/* CF_PATH_PROG(tn3270) */
#define TOUCH_PATH "/bin/touch"		/* CF_PATH_PROG(touch) */
/* #undef ULTRIX */			/* config.sub */
#define UNCOMPRESS_PATH "/bin/gunzip"		/* CF_PATH_PROG(gunzip) */
/* #undef UNDERLINE_LINKS */		/* CF_ARG_ENABLE(underlines) */
#define UNIX 1
#define UNZIP_PATH "/bin/unzip"		/* CF_PATH_PROG(unzip) */
/* #undef USE_COLOR_STYLE */		/* CF_ARG_ENABLE(color-style) */
/* #undef USE_DEFAULT_COLORS */	/* CF_ARG_ENABLE(default-colors) */
/* #undef USE_EXECVP */		/* CF_ARG_DISABLE(full-paths) */
#define USE_EXTERNALS 1		/* CF_ARG_ENABLE(externs) */
#define USE_FCNTL 1		/* CF_FIONBIO */
/* #undef USE_HASH */			/* see USE_COLOR_STYLE */
/* #undef USE_PSRC */			/* CF_ARG_ENABLE(prettysrc) */
/* #undef USE_SIZECHANGEHACK */	/* FIXME: find a case where this works! */
/* #undef USE_SLANG */		/* AC_ARG_WITH(screen=slang) */
/* #undef USE_SOCKS4_PREFIX */	/* CF_SOCKS5 */
/* #undef USE_SOCKS5 */		/* CF_SOCKS5 */
/* #undef USE_ZLIB */			/* AC_ARG_WITH(zlib) */
/* #undef UTMPX_FOR_UTMP */		/* use <utmpx.h> since <utmp.h> not found */
#define UUDECODE_PATH "/bin/uudecode"		/* CF_PATH_PROG(uudecode) */
/* #undef WAITPID_USES_UNION */	/* CF_FUNC_WAIT */
/* #undef WAIT_USES_UNION */		/* CF_FUNC_WAIT */
#define ZCAT_PATH "/bin/zcat"		/* CF_PATH_PROG(zcat) */
#define ZIP_PATH "/boot/home/config/bin/zip"			/* CF_PATH_PROG(zip) */
/* #undef _ALL_SOURCE */		/* AC_AIX */
/* #undef inline */			/* defined by AC_C_INLINE */
/* #undef mode_t */			/* defined by AC_TYPE_MODE_T */
/* #undef off_t */			/* defined by AC_TYPE_OFF_T */
/* #undef pid_t */			/* defined by AC_TYPE_PID_T */
/* #undef uid_t */			/* defined by AC_TYPE_UID_T */
#define vfork fork			/* defined by AC_FUNC_FORK */

/* 'const' may be defined externally by the compiler-wrapper, as in 'unproto'
 * or by AC_C_CONST
 */
#ifndef const
/* #undef const */
#endif

/* FIXME:ALLOW_USERS_TO_CHANGE_EXEC_WITHIN_OPTIONS */
/* FIXME:DECLARE_WAIS_LOGFILES */
/* FIXME:DGUX */
/* FIXME:DGUX_OLD */
/* FIXME:HP_TERMINAL */
/* FIXME:NOPORT */
/* FIXME:POSIX_JC */
/* FIXME:REVERSE_CLEAR_SCREEN_PROBLEM */
/* FIXME:SHORTENED_RBIND */
/* FIXME:SNAKE */
/* FIXME:SVR4_BSDSELECT */

/* Some older socks libraries, especially AIX need special definitions */
#if defined(_AIX) && !defined(USE_SOCKS5)
/* #undef accept */
/* #undef bind */
/* #undef connect */
/* #undef getpeername */
/* #undef getsockname */
/* #undef listen */
/* #undef recvfrom */
/* #undef select */
#endif

#ifndef HAVE_LSTAT
#define lstat stat
#endif

#ifdef DECL_GETGRGID
extern struct group * getgrgid ();
#endif

#ifdef DECL_GETGRNAM
extern struct group * getgrnam ();
#endif

#ifdef DECL_STRSTR
extern char * strstr ();
#endif

#endif /* LYNX_CFG_H */
